define puppet_enterprise::amq::config::web_console(
  $console_config_file   = 'jetty.xml',
  $console_ensure        = 'present',
){

  pe_validate_re($console_ensure, '^(present|absent|true|false)$')

  $console_context = "/files/etc/puppetlabs/activemq/activemq.xml/beans/import[#attribute/resource='${console_config_file}']"

  if $console_ensure =~ /^(absent|false)$/ {
    $changes = "rm ${console_context}"
  } else {
    $changes = "set #attribute/resource '${console_config_file}'"
  }

  augeas { "AMQ webConsole: ${title}":
    incl    => '/etc/puppetlabs/activemq/activemq.xml',
    lens    => 'ActiveMQ_XML.lns',
    context => $console_context,
    changes => $changes,
    notify  => Service['pe-activemq'],
  }
}

